Name: hardinfo
Version: 0.5c
Release: 1%{?dist}
Summary: System Profiler and Benchmark      

Group: Applications/System     
License: GPLv2        
URL: http://hardinfo.berlios.de/            
Source0:  http://download.berlios.de/hardinfo/%{name}-%{version}.tar.bz2  
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libsoup-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pciutils
BuildRequires:  libtasn1-devel

Requires:  pciutils 
Requires:  gcc
Requires:  glx-utils
Requires:  xorg-x11-utils

%description
HardInfo can gather information about a system's hardware and operating system,
perform benchmarks, and generate printable reports either in HTML or in plain 
text formats

%prep
%setup -q

%build
export LIBDIR=%{_libdir}
%configure
#make %{?_smp_mflags} ARCHOPTS="%{optflags}"
make ARCHOPTS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} 
desktop-file-install --vendor="fedora" --delete-original  \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/hardinfo.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/hardinfo
%{_libdir}/hardinfo
%{_datadir}/hardinfo
%{_datadir}/applications/fedora-hardinfo.desktop
%doc LICENSE



%changelog
* Sun Mar 29 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.5c-1
- Update to 0.5c (bugfix release)

* Sat Mar 28 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.5b-1
- New upstream version
- Drop patches

* Sat Oct 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-8
- Apply the patch

* Sat Oct 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-7
- Fix build RH #465047

* Fri Jul 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-6
- Rebuild for new gnutls

* Thu Feb 14 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-5
- Rebuild for new libsoup

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-4
- Add libsoup-2.4 patch (RH#430960)

* Tue Jan 29 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-3
- Rebuild for new libsoup

* Mon Nov 05 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-2
- Use --delete-original for desktopfile installation

* Sun Nov 04 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-1
- Update to new upstream version
- Drop obsolete patches

* Wed Sep 05 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-19
- Fix libz location (/lib(64) vs /usr/lib(64))

* Sun Sep 02 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-18
- Fix libz detection RH #274381

* Wed Aug 15 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-17
- Disable debug 

* Wed Aug 15 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-16
- New fix for RH #249794

* Wed Aug 15 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-15
- New fix for RH #249794

* Fri Aug 03 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-14
- Revert patch doesn't work 

* Fri Aug 03 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-13
- Update License tag

* Thu Aug 02 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-12
- Try again to fix RH #249794

* Tue Jul 31 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-11
- Enable debug output

* Mon Jul 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-10
- Fix changelog date ....

* Mon Jul 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-9
- Try to fix RH #249794 (upstream patch)

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-8
- Fix build

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-7
- bump release

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-6
- Specfile cleanups

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-5
- Add better sensors fix from upstream

* Thu Jul 26 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-4
- Fix and reenable sensor reading
- Remove zlib requires
- Fix group

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 0.4.2.2-3
- Rebuild for RH #249435

* Mon Jul 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-2
- In Fedora (human)uids start with 500 not 1000

* Mon Jul 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-1
- Initial Build
